Save an email template
curl --request POST \
--url https://api.getoneprofile.ai/sequences/templates/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"body_segments": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"prompt": "",
"required": true,
"text": ""
}
],
"scope": "sequence_step",
"subject_segments": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"prompt": "",
"required": true,
"text": ""
}
]
}
'import requests
url = "https://api.getoneprofile.ai/sequences/templates/"
payload = {
"name": "<string>",
"body_segments": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": ["<string>"],
"prompt": "",
"required": True,
"text": ""
}
],
"scope": "sequence_step",
"subject_segments": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": ["<string>"],
"prompt": "",
"required": True,
"text": ""
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
body_segments: [
{
column_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: ['<string>'],
prompt: '',
required: true,
text: ''
}
],
scope: 'sequence_step',
subject_segments: [
{
column_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: ['<string>'],
prompt: '',
required: true,
text: ''
}
]
})
};
fetch('https://api.getoneprofile.ai/sequences/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"prompt": "",
"required": true,
"text": ""
}
],
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope": "sequence_step",
"subject_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"prompt": "",
"required": true,
"text": ""
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}sequences
Save an email template
SEQ-17: save a drafted subject and body (as segments, so variables and AI/spintax tokens survive reuse) into the workspace library.
POST
/
sequences
/
templates
/
Save an email template
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
SEQ-19: the composer this template is being saved from.
Available options:
sequence_step, linkedin, inbox_reply Show child attributes
Show child attributes
Response
Successful Response
SEQ-17: one saved template — segments, so variables survive reuse.
Show child attributes
Show child attributes
SEQ-19: which composer this template belongs to. The picker filters to the surface it was opened from.
Available options:
sequence_step, linkedin, inbox_reply Show child attributes
Show child attributes
Was this page helpful?